from Acquisition import Implicit
from AccessControl import ClassSecurityInfo
import Globals


########################################################################
class Adapter(Implicit):
    """ 
    A Basic Adapter with Implicit Acquisition
    """
    
    security = ClassSecurityInfo()
    security.declareObjectProtected('View')

    def get_adapted(self):
        """
        Our adapted object is our aq_parent 
        """
        if hasattr(self, 'aq_parent'):
            return self.aq_parent
        else:
            return None
    

    security.declareProtected('View', 'get_product_of_values')
    def get_product_of_values(self):
    	"""
	"""
	return self.value1 * self.value2


Globals.InitializeClass(Adapter)

	
