import Globals
from Globals import package_home
from AccessControl import ClassSecurityInfo
from Adapter import Adapter
from OFS.OrderedFolder import OrderedFolder
from Products.PageTemplates.PageTemplateFile import PageTemplateFile

class Test(OrderedFolder):
    """
    Test
    """

    meta_type       = 'AccessControl Test'

    security = ClassSecurityInfo()
    security.declareObjectProtected('View')


    ########################################################################
    def __init__(self, id, value1, value2):
        """
        Initialize an instance
        """
	self.id     = id
	self.value1 = value1
	self.value2 = value2


    ########################################################################
    def get_sum_of_values(self):
    	"""
	"""
	return self.value1 + self.value2

    ########################################################################
    security.declareProtected('View', 'crashing_test')
    crashing_test = PageTemplateFile('crashing_test.zpt', globals())    

    
    ########################################################################
    def __bobo_traverse__ (self, request, name):
        """
        If there is an apdapter defined , apply it
        """
        return getattr(self.adapt(), name)

    ########################################################################
    security.declareProtected('View', 'adapt')
    def adapt(self):
        """
        If there is an apdapter defined, apply it
        """
	return Adapter().__of__(self)


Globals.InitializeClass(Test)


########################################################################
def add_test_action (self, REQUEST):
    """
    """
    id = 'AccessControlTest'
    self._setObject(id, Test(id, 3,5))
    REQUEST.RESPONSE.redirect('manage_main')

